=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2008-08-20 15:57:01 +0000
+++ drizzled/definitions.h	2008-08-21 02:21:23 +0000
@@ -117,20 +117,6 @@
 #define ME_ERROR (ME_BELL+ME_OLDWIN+ME_NOREFRESH)
 #define MYF_RW MYF(MY_WME+MY_NABP)		/* Vid my_read & my_write */
 
-#define SPECIAL_USE_LOCKS	1		/* Lock used databases */
-#define SPECIAL_NO_NEW_FUNC	2		/* Skip new functions */
-#define SPECIAL_SKIP_SHOW_DB    4               /* Don't allow 'show db' */
-#define SPECIAL_WAIT_IF_LOCKED	8		/* Wait if locked database */
-#define SPECIAL_SAME_DB_NAME   16		/* form name = file name */
-#define SPECIAL_ENGLISH        32		/* English error messages */
-#define SPECIAL_NO_RESOLVE     64		/* Don't use gethostname */
-#define SPECIAL_NO_PRIOR	128		/* Don't prioritize threads */
-#define SPECIAL_BIG_SELECTS	256		/* Don't use heap tables */
-#define SPECIAL_NO_HOST_CACHE	512		/* Don't cache hosts */
-#define SPECIAL_SHORT_LOG_FORMAT 1024
-#define SPECIAL_SAFE_MODE	2048
-#define SPECIAL_LOG_QUERIES_NOT_USING_INDEXES 4096 /* Obsolete */
-
 	/* Extern defines */
 #define store_record(A,B) memcpy((A)->B,(A)->record[0],(size_t) (A)->s->reclength)
 #define restore_record(A,B) memcpy((A)->record[0],(A)->B,(size_t) (A)->s->reclength)

=== modified file 'drizzled/derror.cc'
--- drizzled/derror.cc	2008-08-06 18:46:02 +0000
+++ drizzled/derror.cc	2008-08-21 02:21:23 +0000
@@ -65,7 +65,7 @@
 static void init_myfunc_errs()
 {
   init_glob_errs();			/* Initiate english errors */
-  if (!(specialflag & SPECIAL_ENGLISH))
+
   {
     EE(EE_FILENOTFOUND)   = ER(ER_FILE_NOT_FOUND);
     EE(EE_CANTCREATEFILE) = ER(ER_CANT_CREATE_FILE);

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-08-20 03:21:20 +0000
+++ drizzled/drizzled.cc	2008-08-21 02:21:23 +0000
@@ -459,7 +459,7 @@
 static bool opt_do_pstack;
 #endif /* HAVE_STACK_TRACE_ON_SEGV */
 static int cleanup_done;
-static ulong opt_specialflag, opt_myisam_block_size;
+static ulong opt_myisam_block_size;
 static char *opt_binlog_index_name;
 static char *opt_tc_heuristic_recover;
 static char *mysql_home_ptr, *pidfile_name_ptr;
@@ -1650,7 +1650,6 @@
   (void) pthread_attr_init(&thr_attr);
   pthread_attr_setscope(&thr_attr, PTHREAD_SCOPE_SYSTEM);
   (void) pthread_attr_setdetachstate(&thr_attr, PTHREAD_CREATE_DETACHED);
-  if (!(opt_specialflag & SPECIAL_NO_PRIOR))
   {
     struct sched_param tmp_sched_param;
 
@@ -1768,7 +1767,6 @@
 	abort_loop=1;				// mark abort for threads
 #ifdef USE_ONE_SIGNAL_HAND
 	pthread_t tmp;
-	if (!(opt_specialflag & SPECIAL_NO_PRIOR))
         {
           struct sched_param tmp_sched_param;
 
@@ -2148,7 +2146,7 @@
     }
     open_files_limit= files;
   }
-  unireg_init(opt_specialflag); /* Set up extern variabels */
+  unireg_init(0); /* Set up extern variabels */
   if (init_errmessage())	/* Read error messages from file */
     return 1;
   lex_init();
@@ -2307,7 +2305,6 @@
   (void) pthread_attr_setdetachstate(&connection_attrib,
 				     PTHREAD_CREATE_DETACHED);
   pthread_attr_setscope(&connection_attrib, PTHREAD_SCOPE_SYSTEM);
-  if (!(opt_specialflag & SPECIAL_NO_PRIOR))
   {
     struct sched_param tmp_sched_param;
 
@@ -4439,7 +4436,6 @@
   slave_exec_mode_options= 0;
   slave_exec_mode_options= (uint)
     find_bit_type_or_exit(slave_exec_mode_str, &slave_exec_mode_typelib, NULL);
-  opt_specialflag= SPECIAL_ENGLISH;
   mysql_home_ptr= mysql_home;
   pidfile_name_ptr= pidfile_name;
   log_error_file_ptr= log_error_file;
@@ -4704,9 +4700,6 @@
       break;
     }
 #endif
-  case (int) OPT_SKIP_PRIOR:
-    opt_specialflag|= SPECIAL_NO_PRIOR;
-    break;
   case (int) OPT_WANT_CORE:
     test_flags |= TEST_CORE_ON_SIGNAL;
     break;

=== modified file 'drizzled/init.cc'
--- drizzled/init.cc	2008-08-09 05:45:28 +0000
+++ drizzled/init.cc	2008-08-21 02:21:23 +0000
@@ -23,7 +23,7 @@
 
 #include <drizzled/server_includes.h>
 
-void unireg_init(ulong options)
+void unireg_init(ulong options __attribute__((unused)))
 {
   abort_loop=0;
 
@@ -36,6 +36,6 @@
 
   VOID(stpcpy(reg_ext,".frm"));
   reg_ext_length= 4;
-  specialflag=SPECIAL_SAME_DB_NAME | options;  /* Set options from argv */
+
   return;
 }

=== modified file 'drizzled/item_cmpfunc.cc'
--- drizzled/item_cmpfunc.cc	2008-08-20 15:57:01 +0000
+++ drizzled/item_cmpfunc.cc	2008-08-21 02:21:23 +0000
@@ -4464,8 +4464,7 @@
       We could also do boyer-more for non-const items, but as we would have to
       recompute the tables for each row it's not worth it.
     */
-    if (args[1]->const_item() && !use_strnxfrm(collation.collation) &&
-       !(specialflag & SPECIAL_NO_NEW_FUNC))
+    if (args[1]->const_item() && !use_strnxfrm(collation.collation)) 
     {
       String* res2 = args[1]->val_str(&tmp_value2);
       if (!res2)

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-08-19 15:11:04 +0000
+++ drizzled/log.cc	2008-08-21 02:21:23 +0000
@@ -1549,7 +1549,6 @@
     uint buff_len;
     end= buff;
 
-    if (!(specialflag & SPECIAL_SHORT_LOG_FORMAT))
     {
       if (current_time != last_time)
       {
@@ -1601,7 +1600,6 @@
     // Save value if we do an insert.
     if (thd->auto_inc_intervals_in_cur_stmt_for_binlog.nb_elements() > 0)
     {
-      if (!(specialflag & SPECIAL_SHORT_LOG_FORMAT))
       {
         end=stpcpy(end,",insert_id=");
         end=int64_t10_to_str((int64_t)

=== modified file 'drizzled/records.cc'
--- drizzled/records.cc	2008-08-16 22:34:15 +0000
+++ drizzled/records.cc	2008-08-21 02:21:23 +0000
@@ -191,7 +191,6 @@
       and table->sort.io_cache is read sequentially
     */
     if (!table->sort.addon_field &&
-        ! (specialflag & SPECIAL_SAFE_MODE) &&
 	thd->variables.read_rnd_buff_size &&
 	!(table->file->ha_table_flags() & HA_FAST_KEY_READ) &&
 	(table->db_stat & HA_READ_ONLY ||

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2008-08-18 22:20:43 +0000
+++ drizzled/sql_delete.cc	2008-08-21 02:21:23 +0000
@@ -121,7 +121,6 @@
       - there should be no delete triggers associated with the table.
   */
   if (!using_limit && const_cond_result &&
-      !(specialflag & (SPECIAL_NO_NEW_FUNC | SPECIAL_SAFE_MODE)) &&
       (thd->lex->sql_command == SQLCOM_TRUNCATE ||
        (!thd->current_stmt_binlog_row_based)))
   {

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-08-18 22:20:43 +0000
+++ drizzled/sql_parse.cc	2008-08-21 02:21:23 +0000
@@ -1754,9 +1754,7 @@
   {
     assert(first_table == all_tables && first_table != 0);
     thd->enable_slow_log= opt_log_slow_admin_statements;
-    res= (specialflag & (SPECIAL_SAFE_MODE | SPECIAL_NO_NEW_FUNC)) ?
-      mysql_recreate_table(thd, first_table) :
-      mysql_optimize_table(thd, first_table, &lex->check_opt);
+    res= mysql_optimize_table(thd, first_table, &lex->check_opt);
     /* ! we write after unlocking the table */
     if (!res && !lex->no_write_to_binlog)
     {

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-08-19 23:26:33 +0000
+++ drizzled/sql_select.cc	2008-08-21 02:21:23 +0000
@@ -8163,8 +8163,6 @@
 static bool
 only_eq_ref_tables(JOIN *join,order_st *order,table_map tables)
 {
-  if (specialflag &  SPECIAL_SAFE_MODE)
-    return 0;			// skip this optimize /* purecov: inspected */
   for (JOIN_TAB **tab=join->map2table ; tables ; tab++, tables>>=1)
   {
     if (tables & 1 && !eq_ref_table(join, order, *tab))

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-08-19 22:40:04 +0000
+++ drizzled/table.cc	2008-08-21 02:21:23 +0000
@@ -1386,9 +1386,7 @@
                   ha_open(outparam, share->normalized_path.str,
                           (db_stat & HA_READ_ONLY ? O_RDONLY : O_RDWR),
                           (db_stat & HA_OPEN_TEMPORARY ? HA_OPEN_TMP_TABLE :
-                           ((db_stat & HA_WAIT_IF_LOCKED) ||
-                            (specialflag & SPECIAL_WAIT_IF_LOCKED)) ?
-                           HA_OPEN_WAIT_IF_LOCKED :
+                           (db_stat & HA_WAIT_IF_LOCKED) ?  HA_OPEN_WAIT_IF_LOCKED :
                            (db_stat & (HA_ABORT_IF_LOCKED | HA_GET_INFO)) ?
                           HA_OPEN_ABORT_IF_LOCKED :
                            HA_OPEN_IGNORE_IF_LOCKED) | ha_open_flags))))

=== modified file 'drizzled/unireg.h'
--- drizzled/unireg.h	2008-08-20 03:21:20 +0000
+++ drizzled/unireg.h	2008-08-21 02:21:23 +0000
@@ -115,20 +115,6 @@
 #define ME_ERROR (ME_BELL+ME_OLDWIN+ME_NOREFRESH)
 #define MYF_RW MYF(MY_WME+MY_NABP)		/* Vid my_read & my_write */
 
-#define SPECIAL_USE_LOCKS	1		/* Lock used databases */
-#define SPECIAL_NO_NEW_FUNC	2		/* Skip new functions */
-#define SPECIAL_SKIP_SHOW_DB    4               /* Don't allow 'show db' */
-#define SPECIAL_WAIT_IF_LOCKED	8		/* Wait if locked database */
-#define SPECIAL_SAME_DB_NAME   16		/* form name = file name */
-#define SPECIAL_ENGLISH        32		/* English error messages */
-#define SPECIAL_NO_RESOLVE     64		/* Don't use gethostname */
-#define SPECIAL_NO_PRIOR	128		/* Don't prioritize threads */
-#define SPECIAL_BIG_SELECTS	256		/* Don't use heap tables */
-#define SPECIAL_NO_HOST_CACHE	512		/* Don't cache hosts */
-#define SPECIAL_SHORT_LOG_FORMAT 1024
-#define SPECIAL_SAFE_MODE	2048
-#define SPECIAL_LOG_QUERIES_NOT_USING_INDEXES 4096 /* Obsolete */
-
 	/* Extern defines */
 #define store_record(A,B) memcpy((A)->B,(A)->record[0],(size_t) (A)->s->reclength)
 #define restore_record(A,B) memcpy((A)->record[0],(A)->B,(size_t) (A)->s->reclength)

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-08-16 22:34:15 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-08-21 02:21:23 +0000
@@ -1473,12 +1473,8 @@
 
 	ut_a(default_path);
 
-	if (specialflag & SPECIAL_NO_PRIOR) {
-		srv_set_thread_priorities = FALSE;
-	} else {
-		srv_set_thread_priorities = TRUE;
-		srv_query_thread_priority = QUERY_PRIOR;
-	}
+        srv_set_thread_priorities = TRUE;
+        srv_query_thread_priority = QUERY_PRIOR;
 
 	/* Set InnoDB initialization parameters according to the values
 	read from MySQL .cnf file */

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-08-18 22:20:43 +0000
+++ storage/myisam/ha_myisam.cc	2008-08-21 02:21:23 +0000
@@ -1190,24 +1190,22 @@
   can_enable_indexes= mi_is_all_keys_active(file->s->state.key_map,
                                             file->s->base.keys);
 
-  if (!(specialflag & SPECIAL_SAFE_MODE))
-  {
-    /*
-      Only disable old index if the table was empty and we are inserting
-      a lot of rows.
-      We should not do this for only a few rows as this is slower and
-      we don't want to update the key statistics based of only a few rows.
-    */
-    if (file->state->records == 0 && can_enable_indexes &&
-        (!rows || rows >= MI_MIN_ROWS_TO_DISABLE_INDEXES))
-      mi_disable_non_unique_index(file,rows);
-    else
+  /*
+    Only disable old index if the table was empty and we are inserting
+    a lot of rows.
+    We should not do this for only a few rows as this is slower and
+    we don't want to update the key statistics based of only a few rows.
+  */
+  if (file->state->records == 0 && can_enable_indexes &&
+      (!rows || rows >= MI_MIN_ROWS_TO_DISABLE_INDEXES))
+    mi_disable_non_unique_index(file,rows);
+  else
     if (!file->bulk_insert &&
         (!rows || rows >= MI_MIN_ROWS_TO_USE_BULK_INSERT))
     {
       mi_init_bulk_insert(file, thd->variables.bulk_insert_buff_size, rows);
     }
-  }
+
   return;
 }
 
@@ -1545,8 +1543,6 @@
 
 int ha_myisam::extra(enum ha_extra_function operation)
 {
-  if ((specialflag & SPECIAL_SAFE_MODE) && operation == HA_EXTRA_KEYREAD)
-    return 0;
   return mi_extra(file, operation, 0);
 }
 
@@ -1563,8 +1559,6 @@
 
 int ha_myisam::extra_opt(enum ha_extra_function operation, uint32_t cache_size)
 {
-  if ((specialflag & SPECIAL_SAFE_MODE) && operation == HA_EXTRA_WRITE_CACHE)
-    return 0;
   return mi_extra(file, operation, (void*) &cache_size);
 }
 

